> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Detection Rules



## OpenAPI

````yaml GET /v1/detection-rules
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/detection-rules:
    get:
      tags:
        - detection-rules
      summary: List Detection Rules
      operationId: list_detection_rules_v1_detection_rules_get
      parameters:
        - name: source_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source Name
        - name: severity
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Severity
        - name: is_active
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Active
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_order
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort Order
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number (1-indexed)
            default: 1
            title: Page
          description: Page number (1-indexed)
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            description: Items per page (max 500)
            default: 50
            title: Page Size
          description: Items per page (max 500)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_DetectionRuleResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResponse_DetectionRuleResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/DetectionRuleResponse'
          type: array
          title: Data
        meta:
          $ref: '#/components/schemas/PaginationMeta'
      type: object
      required:
        - data
        - meta
      title: PaginatedResponse[DetectionRuleResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DetectionRuleResponse:
      properties:
        uuid:
          type: string
          format: uuid
          title: Uuid
        name:
          type: string
          title: Name
        source_rule_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Rule Id
        source_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Name
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        is_active:
          type: boolean
          title: Is Active
        mitre_tactics:
          items:
            type: string
          type: array
          title: Mitre Tactics
        mitre_techniques:
          items:
            type: string
          type: array
          title: Mitre Techniques
        mitre_subtechniques:
          items:
            type: string
          type: array
          title: Mitre Subtechniques
        data_sources:
          items:
            type: string
          type: array
          title: Data Sources
        run_frequency:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Frequency
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        documentation:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentation
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - uuid
        - name
        - source_rule_id
        - source_name
        - severity
        - is_active
        - mitre_tactics
        - mitre_techniques
        - mitre_subtechniques
        - data_sources
        - run_frequency
        - created_by
        - documentation
        - created_at
        - updated_at
      title: DetectionRuleResponse
    PaginationMeta:
      properties:
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - total
        - page
        - page_size
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````